Bug 1124274

Summary: 2014.07.25.1 out. Fixes urgent bug.
Product: [Fedora] Fedora Reporter: Gilboa Davara <gilboad>
Component: youtube-dlAssignee: Christopher Meng <i>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 20CC: i, metherid, opensource
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: youtube-dl-2014.07.25.1-1.fc19 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-08-01 06:01:20 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Gilboa Davara 2014-07-29 07:37:22 UTC
2014.07.20 fails on error:

ERROR: Automatic signature extraction failed: Traceback (most recent call last):
  File "/usr/bin/youtube-dl/youtube_dl/extractor/youtube.py", line 472, in _decrypt_signature
    video_id, player_url, len(s)
  File "/usr/bin/youtube-dl/youtube_dl/extractor/youtube.py", line 354, in _extract_signature_function
    player_type = id_m.group('ext')
AttributeError: 'NoneType' object has no attribute 'group'

Latest up-stream (2014.07.25) solves this bug.

- Gilboa

Comment 1 Christopher Meng 2014-07-29 08:33:15 UTC
Thanks for the report.

Comment 2 Fedora Update System 2014-07-29 09:19:03 UTC
youtube-dl-2014.07.25.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/youtube-dl-2014.07.25.1-1.fc19

Comment 3 Fedora Update System 2014-07-29 09:19:10 UTC
youtube-dl-2014.07.25.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/youtube-dl-2014.07.25.1-1.fc20

Comment 4 Fedora Update System 2014-07-30 06:58:54 UTC
Package youtube-dl-2014.07.25.1-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing youtube-dl-2014.07.25.1-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-8978/youtube-dl-2014.07.25.1-1.fc20
then log in and leave karma (feedback).

Comment 5 Gilboa Davara 2014-07-31 14:41:15 UTC
Karma added. Thanks.

Comment 6 Fedora Update System 2014-08-01 06:01:20 UTC
youtube-dl-2014.07.25.1-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2014-08-09 07:35:16 UTC
youtube-dl-2014.07.25.1-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.